<?php
/**
 * Created by IntelliJ IDEA.
 * User: kelyliang
 * Date: 2024/6/27
 * Time: 下午 03:58
 */

namespace App\Http\Requests\API\Company;


use Illuminate\Foundation\Http\FormRequest;

class ActionRequest  extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        $rules =  [
            "status" => "required|in:1,0",
            "id" => "required",
            //'role_id'=>"required",
            //'email'=>"required|email",
        ];
        if($this->status==1){
            $rules = [
                ...$rules,
                'role_id'=>"required",
            ];

        }
        if($this->status==0){
            $rules = [
                ...$rules,
                'reject_reason'=>"required",
            ];

        }
         return $rules;
}



}
