<?php

namespace App\Models\Enums;

use App\Models\Action;
use App\Models\Asset;
use App\Models\Company;
use App\Models\Container;
use App\Models\Plan;
use App\Models\Project;
use App\Models\Requirement;
use App\Models\Task;

enum DisplayIndexObjectType : string
{
    case ASSET = "asset";

    case ASSETGROUP="assetGroup";

    case PROJECT = "project";

    case REQUIREMENT = "requirement";

    case REQUIREMENTGROUP = "requirementGroup";

    case TASK = "task";

    case PLAN = "plan";

    case DEPARTMENT = "department";

    case APPROVALFLOW= "approvalFlow";

    case NAMERULE="nameRule";

}
